List a customer's payments
curl --request GET \
--url https://api.korint.io/customers/{customerId}/payments \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/customers/{customerId}/payments"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/customers/{customerId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"metadata": [
{
"key": "<string>",
"value": "<string>"
}
],
"type": "<string>",
"id": "<string>",
"paymentMethodId": "<string>",
"amountInEuroCents": 123,
"refundableAmount": 123,
"amountRefunded": 123,
"amountToRefund": 123,
"createdAt": "<string>",
"cancellationReason": "<string>",
"failureReason": "<string>",
"refunds": [
{
"refundId": "<string>",
"refundInvoiceId": "<string>",
"amountInEuroCents": 123
}
],
"failedAt": "<string>"
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}{
"code": "CUSTOMER_NOT_FOUND",
"message": "Customer {customerId} ({branchId}) not found",
"details": {}
}payments
List a customer's payments
GET
/
customers
/
{customerId}
/
payments
List a customer's payments
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
The customer id
Pattern:
^customer(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
Optional: the whenAt datetime
Optional: the simulatedAt datetime
Was this page helpful?
⌘I

